Bug 459893 - Review Request: rubygem-pervasives - Access to pristine object state
Review Request: rubygem-pervasives - Access to pristine object state
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 17:57 EDT by Jeroen van Meeuwen
Modified: 2008-10-30 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-30 08:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2008-08-23 17:57:22 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/rubygem-pervasives.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/rubygem-pervasives-1.1.0-1.fc10.src.rpm
Description: Access to pristine object state. If you don't metaprogram or write debuggers you probably don't need it.

rpmlint is silent

koji scratch builds:

- f8: http://koji.fedoraproject.org/koji/taskinfo?taskID=781881
- f9: http://koji.fedoraproject.org/koji/taskinfo?taskID=781887
- f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=781889
Comment 1 Jeroen van Meeuwen 2008-09-08 10:58:27 EDT
Added ruby(abi) = 1.8 requirement;

New SPEC: http://www.kanarip.com/custom/SPECS/rubygem-pervasives.spec
New SRPM: http://www.kanarip.com/custom/f10/SRPMS/rubygem-pervasives-1.1.0-2.fc10.src.rpm
Comment 2 S.A. Hartsuiker 2008-10-23 07:21:21 EDT
RPM Lint: clean
Package name: ok
Spec file: ok
License: GPLv2+ or Ruby
Actual License: Ruby (see http://codeforpeople.com/lib/license.txt)
%doc License: LICENSE.txt
Spec file language: ok
Spec file readable:ok
Upstream source vs. used tarball: ok (md5: cdeb6aeb70947e3f7149dfc1b4897c45)
Compile and Build:
 - F-8: ok
 - F-9: ok
 - F-10 ok
 - rawhide: ok
 - EL-5: n/a

Applicable Package Guidelines: ok

Locales: n/a
Shared libs: n/a

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: n/a
%doc affecting runtime: ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files: n/a
Devel requires base package: n/a
.la libtool archives: n/a
Duplicate ownership of files/directories: ok
Remove BuildRoot: ok
UTF-8 filenames: ok


Fix the license tag please, otherwise this package is ok.

Spec file linked above does not match the spec used to build the package.
Comment 4 S.A. Hartsuiker 2008-10-25 18:44:59 EDT
The license was fixed, so package APPROVED
Comment 5 Jeroen van Meeuwen 2008-10-25 20:05:50 EDT
New Package CVS Request
=======================
Package Name: rubygem-pervasives
Short Description: Access to pristine object state
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:
Comment 6 Dennis Gilmore 2008-10-27 00:29:19 EDT
CVS Done
Comment 7 Fedora Update System 2008-10-27 18:43:37 EDT
rubygem-pervasives-1.1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rubygem-pervasives-1.1.0-3.fc9
Comment 8 Fedora Update System 2008-10-27 19:49:09 EDT
rubygem-pervasives-1.1.0-3.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rubygem-pervasives-1.1.0-3.fc8
Comment 9 Fedora Update System 2008-10-30 08:52:24 EDT
rubygem-pervasives-1.1.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-30 08:53:03 EDT
rubygem-pervasives-1.1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.